Update expiration time
https://api.agora.io/dev/v1/kicking-rule
Use this endpoint to update the expiration time of a specified banning rule.
Request
The request URL and request body is case-sensitive. All requests must use HTTPS.
Request header
Content-Type:application/json- The request header must contain the
Authorizationfield. For details, see RESTful authentication.
Request body
BODYrequired
- appid stringrequired
The App ID of the project. You can get it through one of the following methods:
- Copy from the Agora Console
- Call the Get all projects API, and read the value of the
vendor_keyfield in the response body.
- id numberrequired
The ID of the rule to update.
- time numbernullable
Range:
[1, 1440]The time duration (in minutes) to ban the user. Values outside the range [1,1440] are clamped to the nearest bound. Setting this to
0disables the rule: users are set offline but can rejoin immediately.infoUse either
timeortime_in_seconds, not both. If both are set,time_in_secondstakes effect. If neither is set, the default ban duration is 60 minutes (3600 seconds). - time_in_seconds numbernullable
Range:
[10, 86430]The time duration (in seconds) to ban the user. Values outside the range [10,86430] are clamped to the nearest bound. Setting this to
0disables the rule: users are set offline but can rejoin immediately.
Response
A 200 status code indicates success. The response body contains the following parameters:
OK
- status string
The status of this request.
successmeans the request succeeds.
If the status code is not 200, the request fails. See the message field in the response body for the reason for this failure. Refer to Response status codes for details.